<?php
/**
 * @file
 * Drop Jobs Admin admin settings.
 */

/**
 * Form callback.
 * Drop Jobs Admin settings form.
 *
 * @see drop_jobs_admin_menu().
 */
function drop_jobs_admin_admin_settings() {
  $form = array();

  $form['wrapper'] = array(
    '#type' => 'fieldset',
    '#title' => t('Admin Settings'),
  );

  $form['wrapper']['dashboard'] = array(
    '#type' => 'fieldset',
    '#title' => t('Dashboard'),
    '#collapsed' => FALSE,
    '#collapsible' => TRUE,
  );

  $form['wrapper']['dashboard']['drop_jobs_admin_items_per_row'] = array(
    '#title' => t('Items per row'),
    '#description' => t('How many links appear in each row in the Drop Jobs Administration Dashboard'),
    '#type' => 'textfield',
    '#size' => 2,
    '#default_value' => variable_get_value('drop_jobs_admin_items_per_row'),
  );

  return system_settings_form($form);
}

/**
 * Validate callback
 *
 * @see drop_jobs_admin_admin_settings().
 */
function drop_jobs_admin_admin_settings_validate($form, &$form_state) {
  if (!is_numeric($form_state['values']['drop_jobs_admin_items_per_row'])) {
    form_set_error($form_state['values']['drop_jobs_admin_items_per_row'], t('Items per row must be numeric.'));
  } else if (!$form_state['values']['drop_jobs_admin_items_per_row'] > 0) {
    form_set_error($form_state['values']['drop_jobs_admin_items_per_row'], t('Items per row must be greater than 0.'));
  }
}