<?php
/**
 * @file
 * Drop Jobs Admin admin pages.
 */

/**
 * Page callback.
 * Displays Drop Jobs Admin Dashboard.
 *
 * @see drop_jobs_admin_menu().
 */
function drop_jobs_admin_dashboard() {
  $menu = menu_load_links('menu-drop-jobs-admin');
  $rows = array();
  $cols = array();
  $col = 0;
  $cols_per_row = variable_get_value('drop_jobs_admin_items_per_row');

  // Generate table markup.
  foreach ($menu as $link) {
    $slug = array_pop(explode('/', $link['link_path']));
    $cols[] = array(
      'class' => array($slug),
      'data' => '<div class="link-wrapper">' . l(
        str_replace('Manage ', '', $link['link_title']),
        url($link['link_path'], array('absolute' => TRUE)),
        array('html' => TRUE, 'attributes' => array('class' => 'drop_jobs_admin_link'))
      ) . '</div>',
    );

    // X columns per row.
    if (++$col == $cols_per_row) {
      $rows[] = array(
        'no_striping' => TRUE,
        'data' => $cols,
      );
      $col = 0;
      $cols = array();
    }
  }

  // Pad to desired number of columns.
  if (!empty($cols)) {
    $cols = array_pad($cols, $cols_per_row, array('class' => 'drop_jobs_admin_filler', 'data' => array()));

    $rows[] = array(
      'no_striping' => TRUE,
      'data' => $cols,
    );
  }

  return theme_table(array(
    'header' => array(),
    'rows' => $rows,
    'attributes' => array('class' => array('drop_jobs_admin')),
    'caption' => '',
    'sticky' => FALSE,
    'colgroups' => array(),
    'empty' => '',
  ));
}