<?php
/**
 * @file
 * Drop Jobs Application entity controller.
 */

/**
 * Drop Jobs Application Controller.
 */
class DropJobsApplicationController extends EntityAPIController {

  public function buildContent($entity, $view_mode = 'full', $langcode = NULL, $content = array()) {
    // Manually add properties to content.
    // @TODO replace this with theme functions?
    $user = user_load($entity->uid);
    $node = node_load($entity->nid);
    $status_options = drop_jobs_application_status_options_list();
    $status = $status_options[$entity->status];

    $content = array(
      'type' => array(
        '#markup' => '<label>' . t('Application Type') . '</label>' . $entity->type,
        '#prefix' => '<div class="application-type">',
        '#suffix' => '</div>',
      ),
      'created' => array(
        '#markup' => '<label>' . t('Date') . '</label>' . format_date($entity->created, 'medium'),
        '#prefix' => '<div class="application-created">',
        '#suffix' => '</div>',
      ),
      'uid' => array(
        '#markup' => '<label>' . t('Candidate') . '</label>' . l($user->name, 'user/' . $user->uid),
        '#prefix' => '<div class="application-uid">',
        '#suffix' => '</div>',
      ),
      'nid' => array(
        '#markup' => '<label>' . t('Job') . '</label>' . l($node->title, 'node/' . $node->nid),
        '#prefix' => '<div class="application-nid">',
        '#suffix' => '</div>',
      ),
      'status' => array(
        '#markup' => '<label>' . t('Status') . '</label>' . $status,
        '#prefix' => '<div class="application-status">',
        '#suffix' => '</div>',
      ),
    );
    return parent::buildContent($entity, $view_mode, $langcode, $content);
  }

}