<?php
/**
 * @file
 * drop_jobs_candidate.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function drop_jobs_candidate_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'drop_jobs_candidate_admin';
  $view->description = 'Administration page for Candidates';
  $view->tag = 'drop_jobs, drop_jobs_candidate';
  $view->base_table = 'profile';
  $view->human_name = 'Drop Jobs Candidate Admin';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Manage Candidates';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer drop_jobs_candidate';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = 0;
  $handler->display->display_options['style_plugin'] = 'table';
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['empty'] = TRUE;
  $handler->display->display_options['header']['area']['content'] = '<a href="/candidates" class="action-view">View Candidates page</a>';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['header']['area']['tokenize'] = 0;
  /* Footer: Global: Text area */
  $handler->display->display_options['footer']['area']['id'] = 'area';
  $handler->display->display_options['footer']['area']['table'] = 'views';
  $handler->display->display_options['footer']['area']['field'] = 'area';
  $handler->display->display_options['footer']['area']['empty'] = FALSE;
  $handler->display->display_options['footer']['area']['content'] = '<a href="javascript:void(0)" class="action-top" title="Back to Top">Back to Top</a>';
  $handler->display->display_options['footer']['area']['format'] = 'full_html';
  $handler->display->display_options['footer']['area']['tokenize'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no candidates.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Relationship: Profile: User uid */
  $handler->display->display_options['relationships']['user']['id'] = 'user';
  $handler->display->display_options['relationships']['user']['table'] = 'profile';
  $handler->display->display_options['relationships']['user']['field'] = 'user';
  $handler->display->display_options['relationships']['user']['required'] = 1;
  /* Field: Profile: Profile ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'profile';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  $handler->display->display_options['fields']['pid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['pid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['pid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['pid']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['pid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['pid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['pid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['pid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['pid']['format_plural'] = 0;
  /* Field: Profile: Active */
  $handler->display->display_options['fields']['field_candidate_active']['id'] = 'field_candidate_active';
  $handler->display->display_options['fields']['field_candidate_active']['table'] = 'field_data_field_candidate_active';
  $handler->display->display_options['fields']['field_candidate_active']['field'] = 'field_candidate_active';
  $handler->display->display_options['fields']['field_candidate_active']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_candidate_active']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_candidate_active']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_candidate_active']['settings'] = array(
    'clickable' => 1,
    'display_type' => '1',
    'override' => 0,
  );
  $handler->display->display_options['fields']['field_candidate_active']['field_api_classes'] = 0;
  /* Field: Profile: Promoted */
  $handler->display->display_options['fields']['field_candidate_promoted']['id'] = 'field_candidate_promoted';
  $handler->display->display_options['fields']['field_candidate_promoted']['table'] = 'field_data_field_candidate_promoted';
  $handler->display->display_options['fields']['field_candidate_promoted']['field'] = 'field_candidate_promoted';
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_candidate_promoted']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_candidate_promoted']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_candidate_promoted']['settings'] = array(
    'clickable' => 1,
    'display_type' => '1',
    'override' => 0,
  );
  $handler->display->display_options['fields']['field_candidate_promoted']['field_api_classes'] = 0;
  /* Field: Profile: Sticky */
  $handler->display->display_options['fields']['field_candidate_sticky']['id'] = 'field_candidate_sticky';
  $handler->display->display_options['fields']['field_candidate_sticky']['table'] = 'field_data_field_candidate_sticky';
  $handler->display->display_options['fields']['field_candidate_sticky']['field'] = 'field_candidate_sticky';
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_candidate_sticky']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_candidate_sticky']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_candidate_sticky']['settings'] = array(
    'clickable' => 1,
    'display_type' => '1',
    'override' => 0,
  );
  $handler->display->display_options['fields']['field_candidate_sticky']['field_api_classes'] = 0;
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['relationship'] = 'user';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['external'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  $handler->display->display_options['fields']['edit_node']['hide_alter_empty'] = 1;
  /* Field: User: Cancel link */
  $handler->display->display_options['fields']['cancel_node']['id'] = 'cancel_node';
  $handler->display->display_options['fields']['cancel_node']['table'] = 'users';
  $handler->display->display_options['fields']['cancel_node']['field'] = 'cancel_node';
  $handler->display->display_options['fields']['cancel_node']['relationship'] = 'user';
  /* Sort criterion: Profile: Date changed */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'profile';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Filter criterion: Profile: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'profile';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'candidate' => 'candidate',
  );

  /* Display: Candidates Admin Page */
  $handler = $view->new_display('page', 'Candidates Admin Page', 'page');
  $handler->display->display_options['display_description'] = 'Administration page for Candidates';
  $handler->display->display_options['path'] = 'admin/drop_jobs/candidates';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Candidates';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $export['drop_jobs_candidate_admin'] = $view;

  $view = new view;
  $view->name = 'drop_jobs_candidates';
  $view->description = 'Candidate listings';
  $view->tag = 'drop_jobs, drop_jobs_candidate';
  $view->base_table = 'profile';
  $view->human_name = 'Drop Jobs Candidates';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Candidates';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = 0;
  $handler->display->display_options['row_options']['default_field_elements'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no candidates.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Relationship: Profile: User uid */
  $handler->display->display_options['relationships']['user']['id'] = 'user';
  $handler->display->display_options['relationships']['user']['table'] = 'profile';
  $handler->display->display_options['relationships']['user']['field'] = 'user';
  $handler->display->display_options['relationships']['user']['required'] = 1;
  /* Field: Profile: Profile ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'profile';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  /* Field: User: First Name */
  $handler->display->display_options['fields']['field_first_name']['id'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['table'] = 'field_data_field_first_name';
  $handler->display->display_options['fields']['field_first_name']['field'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['relationship'] = 'user';
  $handler->display->display_options['fields']['field_first_name']['label'] = '';
  $handler->display->display_options['fields']['field_first_name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_first_name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_first_name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_first_name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_first_name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_first_name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_first_name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_first_name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_first_name']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_first_name']['field_api_classes'] = 0;
  /* Sort criterion: User: Created date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'users';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['relationship'] = 'user';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Profile: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'profile';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'candidate' => 'candidate',
  );
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'user';
  $handler->display->display_options['filters']['status']['value'] = '1';

  /* Display: Candidates Page */
  $handler = $view->new_display('page', 'Candidates Page', 'page');
  $handler->display->display_options['display_description'] = 'Candidates listing page';
  $handler->display->display_options['path'] = 'candidates';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Candidates';
  $handler->display->display_options['menu']['name'] = 'main-menu';

  /* Display: New Candidates Block */
  $handler = $view->new_display('block', 'New Candidates Block', 'block');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'New Candidates';
  $handler->display->display_options['display_description'] = 'New Candidates listing block';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = 0;
  $handler->display->display_options['row_options']['default_field_elements'] = 0;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no new candidates.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  $export['drop_jobs_candidates'] = $view;

  return $export;
}
