<?php
/**
 * @file
 * drop_jobs_core.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function drop_jobs_core_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'drop_jobs_admin';
  $context->description = 'Administration pages.';
  $context->tag = 'drop_jobs';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        'admin' => 'admin',
        'admin/*' => 'admin/*',
        'batch' => 'batch',
        'node/add/*' => 'node/add/*',
        'node/*/edit' => 'node/*/edit',
        'node/*/delete' => 'node/*/delete',
        'node/*/devel' => 'node/*/devel',
        'devel' => 'devel',
        'devel/*' => 'devel/*',
        'help' => 'help',
        'help/*' => 'help/*',
        'taxonomy/term/*/edit' => 'taxonomy/term/*/edit',
        'taxonomy/term/*/delete' => 'taxonomy/term/*/delete',
      ),
    ),
    'user' => array(
      'values' => array(
        'administrator' => 'administrator',
        'webmaster' => 'webmaster',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu-menu-drop-jobs-admin' => array(
          'module' => 'menu',
          'delta' => 'menu-drop-jobs-admin',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Administration pages.');
  t('drop_jobs');
  $export['drop_jobs_admin'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'drop_jobs_sitewide';
  $context->description = 'Sitewide context (excludes Administration pages)';
  $context->tag = 'drop_jobs';
  $context->conditions = array(
    'context' => array(
      'values' => array(
        '~drop_jobs_admin' => '~drop_jobs_admin',
      ),
    ),
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array();
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Sitewide context (excludes Administration pages)');
  t('drop_jobs');
  $export['drop_jobs_sitewide'] = $context;

  return $export;
}
